Download it now!
Bug 74654 - PDF Security options (can't print file)
Summary: PDF Security options (can't print file)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86 (IA32) Windows (All)
: high major
Assignee: Andras Timar
URL:
Whiteboard: target:4.3.0 target:4.2.4
Keywords: regression
: 74975 75248 75427 75596 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-02-07 08:55 UTC by Andrea Bertani
Modified: 2014-04-18 05:08 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
PDF options settings (47.44 KB, image/png)
2014-02-07 08:55 UTC, Andrea Bertani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Bertani 2014-02-07 08:55:34 UTC
Created attachment 93590 [details]
PDF options settings

Problem description: I exported many times a document with security options enabled allowing hi-quality print, the PDF can't be printed.

Steps to reproduce:
1. open document in Writer;
2. open menu "File" and select "Export to PDF" (consider I installed the italian version so the strings may be different);
3. select "Security" in "PDF options";
4. select "Set password" and fill "Authorization password" fields;
5. select the options as shown in the attached image;
6. open the created PDF with Adobe Reader (or other softwares) and try to print the document...

Current behavior: Impossible to print the file.

Expected behavior: If I set the security option to allow printing I expect to print the PDF as it was in previous versions.

Thank you so much and excuse me for my english! :P

              
Operating System: Windows 7
Version: 4.2.0.4 release
Last worked in: 4.1.4.2 release
Comment 1 Andrea Bertani 2014-02-07 15:53:26 UTC
Last worked (also) in: 4.1.5.3 rc
Comment 2 fastmatd 2014-02-07 20:15:08 UTC
Same  problem here.

I do steps 1 to 4; then:
- if I select "high resolution", the viewer asks for the password.
- if I choose "low resolution" the viewer lets me print the document.

Operating System: Mac OSX 10.9.1
LibreOffice Version: 4.2.0.2, German version
PDF-Viewer used: OSX 'Preview', Win7: Acrobat Reader
Comment 3 tommy27 2014-02-15 16:15:42 UTC
set status to NEW according to confirmation in Comment 2

do you guys believe that Bug 74975 could be a duplicate?
Comment 4 Tom2 2014-02-18 14:02:26 UTC
*** Bug 74975 has been marked as a duplicate of this bug. ***
Comment 5 Tom2 2014-02-18 14:07:15 UTC
I have the same problem, and opened a duplicate report.

(In reply to comment #2)
> I do steps 1 to 4; then:
> - if I select "high resolution", the viewer asks for the password.
> - if I choose "low resolution" the viewer lets me print the document.
> 

Also, if you set "low resolution", the actual setting in the file is to allow full resolution printing.
Comment 6 sophie 2014-02-28 17:06:12 UTC
*** Bug 75596 has been marked as a duplicate of this bug. ***
Comment 7 sophie 2014-02-28 17:08:40 UTC
*** Bug 75427 has been marked as a duplicate of this bug. ***
Comment 8 piero.graziano 2014-03-12 10:57:24 UTC
(In reply to comment #5)
> I have the same problem, and opened a duplicate report.
> 
> (In reply to comment #2)
> > I do steps 1 to 4; then:
> > - if I select "high resolution", the viewer asks for the password.
> > - if I choose "low resolution" the viewer lets me print the document.
> > 
> 
> Also, if you set "low resolution", the actual setting in the file is to
> allow full resolution printing.

Me too. I noticed this problem setting "High resolution printing"
Comment 9 tommy27 2014-03-12 11:59:19 UTC
@Piero
please do not change version field. it should reflect the earlier release the bug was reported (in this case 4.2.0.4) not the latest.
Comment 10 Andrea Bertani 2014-03-13 13:44:35 UTC
Still not working in version 4.2.2.1
Comment 11 Tom 2014-03-17 12:31:22 UTC
What can I do help?

If people don`t they send many PDF without not knowing they are not printable
Comment 12 sophie 2014-03-17 15:53:29 UTC
*** Bug 75248 has been marked as a duplicate of this bug. ***
Comment 13 Tom2 2014-03-22 17:48:51 UTC
Please fix this soon. It seems to me like a small regression where the security options have been mixed up. Should be easy to find in the changes between 4.1.4.2 and 4.2.0.4. Or has the PDF printing been changed a lot in between these releases?
Comment 14 Helping Hand 2014-03-26 11:04:38 UTC
I'm having the same problem not being able to print an exported PDF set with a permission password. That is to say, it only occurs in LO for windows, LO for Linux (in my case Mint 16) does not seem to have this hiccup.
Comment 15 Sintyadi 2014-03-26 11:32:27 UTC
strangely enough, I got this too. But some files could be printed, and some couldn't.

And another strange occurence, some computers/printers (I dunno which one) could print that "disabled" file.

Mine 4.2.1.1
Comment 16 Ingo Belka 2014-04-07 14:17:47 UTC
I'm using Version: 4.2.2.1

I notice same behaviour here. As far as can say, I can export with high-quality-printing set, if something in addition to the "normal" text is in the document (e.g. fontwork, picture etc.). Only text can't be exported with high-quality-printing set.

I would appreciate a fast solution of this bug - thank for your hard work.
Comment 17 Thorsten Behrens (CIB) 2014-04-07 21:47:27 UTC
Setting to new, the NEEDINFO state looks pointless w/o an open question. Severity blocker looks way out of line, adjusting to something sensible.

Next suggested step to move this forward: bibisect. Everyone can do that. Whiteboard entry was already set.
Comment 18 Commit Notification 2014-04-15 14:50:46 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5265586e635d294708f6af10697134a95a26e08

fdo#74654 fix typo: printnone -> printhigh



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Andras Timar 2014-04-15 15:12:01 UTC
review pending for 4.2: https://gerrit.libreoffice.org/9015
Comment 20 Commit Notification 2014-04-15 19:53:40 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9e669b7948ab734bcbbd76a0919ba91cca2850e&h=libreoffice-4-2

fdo#74654 fix typo: printnone -> printhigh


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2014-04-18 05:08:05 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a538d6f05820e8912da2f20846d2b274d45112c2&h=libreoffice-4-2-4

fdo#74654 fix typo: printnone -> printhigh


It will be available already in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.